resources:
    App\Entity\View:
        processor: App\State\Processor\ViewProcessor
        input: App\Dto\Input\ViewInput
        output: App\Dto\Output\ViewOutput
        normalizationContext:
            groups: ['default', 'view:read']
        denormalizationContext:
            groups: ['view:write']
        operations:
            ApiPlatform\Metadata\GetCollection:
                provider: App\State\Provider\ViewProvider
                filters:
                    - 'api_platform.filter.view.order'
                    - 'api_platform.filter.view.search'
            ApiPlatform\Metadata\Get:
                provider: App\State\Provider\ViewProvider
            ApiPlatform\Metadata\Put:
                provider: App\State\Provider\ViewProvider
            ApiPlatform\Metadata\Patch:
                provider: App\State\Provider\ViewProvider
            ApiPlatform\Metadata\Post: ~
            ApiPlatform\Metadata\Delete: ~

properties:
    App\Entity\View:
        id:
            identifier: false
        uuid:
            identifier: true